# Enum Class DistanceEstimator.EstimationType

java.lang.Object
java.lang.Enum<DistanceEstimator.EstimationType>
gaia.cu9.tools.parallax.DistanceEstimator.EstimationType

All Implemented Interfaces:
  `Serializable, Comparable<DistanceEstimator.EstimationType>, Constable`

Enclosing class:
  `DistanceEstimator`

public static enum DistanceEstimator.EstimationType extends Enum<DistanceEstimator.EstimationType>

Author:
  eutrilla

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXP_DEC_VOL_DENSITY`
`HS_EXP_DECR`
`HS_UNIFORM`
`LOS_EXP_DEC_VOL_DENSITY`
`UNIFORM_DISTANCE`

## Method Summary

Modifier and Type
Method
Description
`static DistanceEstimator.EstimationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DistanceEstimator.EstimationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HS_UNIFORM

public static final DistanceEstimator.EstimationType HS_UNIFORM

### HS_EXP_DECR

public static final DistanceEstimator.EstimationType HS_EXP_DECR

### UNIFORM_DISTANCE

public static final DistanceEstimator.EstimationType UNIFORM_DISTANCE

### EXP_DEC_VOL_DENSITY

public static final DistanceEstimator.EstimationType EXP_DEC_VOL_DENSITY

### LOS_EXP_DEC_VOL_DENSITY

public static final DistanceEstimator.EstimationType LOS_EXP_DEC_VOL_DENSITY

## Method Details

### values

public static DistanceEstimator.EstimationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DistanceEstimator.EstimationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null